Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.util
Class UnmodifiableMultivaluedMap<K,V>

    java.lang.Object
      com.sun.jersey.core.util.UnmodifiableMultivaluedMap<K,V>

Type Parameters:
  `K` - the key
  `V` - the value

All Implemented Interfaces:
  java.util.Map<K,java.util.List<V>>, javax.ws.rs.core.MultivaluedMap<K,V>

    public class UnmodifiableMultivaluedMap<K,V>

extends java.lang.Object
implements javax.ws.rs.core.MultivaluedMap<K,V>

An unmodifiable view of a `MultivaluedMap`.

Author:
  Gili Tzabari

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`UnmodifiableMultivaluedMap(javax.ws.rs.core.MultivaluedMap<K,V> delegate)` Creates a new ImmutableMultivaluedMap.

Method Summary
`void` | `add(K key, V value)`
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`boolean` | `containsValue(java.lang.Object value)`
`java.util.Set<java.util.Map.Entry<K,java.util.List<V>>>` | `entrySet()`
`java.util.List<V>` | `get(java.lang.Object key)`
`V` | `getFirst(K key)`
`boolean` | `isEmpty()`
`java.util.Set<K>` | `keySet()`
`java.util.List<V>` | `put(K key, java.util.List<V> value)`
`void` | `putAll(java.util.Map<? extends K,? extends java.util.List<V>> m)`
`void` | `putSingle(K key, V value)`
`java.util.List<V>` | `remove(java.lang.Object key)`
`int` | `size()`
`java.util.Collection<java.util.List<V>>` | `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### UnmodifiableMultivaluedMap

    public UnmodifiableMultivaluedMap(javax.ws.rs.core.MultivaluedMap<K,V> delegate)

  Creates a new ImmutableMultivaluedMap.

  Parameters:
    `delegate` - the underlying MultivaluedMap

Method Detail

### putSingle

    public void putSingle(K key,
                          V value)

  Specified by:
    `putSingle` in interface `javax.ws.rs.core.MultivaluedMap<K,V>`

### add

    public void add(K key,
                    V value)

  Specified by:
    `add` in interface `javax.ws.rs.core.MultivaluedMap<K,V>`

### getFirst

    public V getFirst(K key)

  Specified by:
    `getFirst` in interface `javax.ws.rs.core.MultivaluedMap<K,V>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map<K,java.util.List<V>>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map<K,java.util.List<V>>`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<K,java.util.List<V>>`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map<K,java.util.List<V>>`

### get

    public java.util.List<V> get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<K,java.util.List<V>>`

### put

    public java.util.List<V> put(K key,
                                 java.util.List<V> value)

  Specified by:
    `put` in interface `java.util.Map<K,java.util.List<V>>`

### remove

    public java.util.List<V> remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<K,java.util.List<V>>`

### putAll

    public void putAll(java.util.Map<? extends K,? extends java.util.List<V>> m)

  Specified by:
    `putAll` in interface `java.util.Map<K,java.util.List<V>>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<K,java.util.List<V>>`

### keySet

    public java.util.Set<K> keySet()

  Specified by:
    `keySet` in interface `java.util.Map<K,java.util.List<V>>`

### values

    public java.util.Collection<java.util.List<V>> values()

  Specified by:
    `values` in interface `java.util.Map<K,java.util.List<V>>`

### entrySet

    public java.util.Set<java.util.Map.Entry<K,java.util.List<V>>> entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map<K,java.util.List<V>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.